Subject: bug#1779: 23.0.60; proced with variable-pitch header line

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Nov 2021 07:53:30 +0100

Juri Linkov <[email-masked]> writes:

> As discussed in
> https://lists.gnu.org/archive/html/emacs-devel/2020-12/msg00084.html
> I tried to fix this bug in the emacs-28 branch by copying code
> from ‘tabulated-list-col-sort’ to ‘proced-sort-header’.
>
> Maybe now variable-pitch could be enabled on proced-head-line.

I'm not quite sure whether having the header line in a proportional font
when the rest of the text is monospaced is ideal -- it can sometimes
look pretty odd.

We should have a package for doing variable-pitch tables, and I've been
working on one, but I want to reimplement it before including in Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no